# -*- coding: utf-8 -*-

from li_common.padroes import cadastro


class FormularioRede(cadastro.Formulario):
    _PARCELAS = [(x, x) for x in range(1, 12)]
    _PARCELAS.insert(0, (12, "Todas"))
    ativo = cadastro.CampoFormulario('ativo', 'Pagamento ativo?', requerido=True, tipo=cadastro.TipoDeCampo.boleano, ordem=1)
    ambiente = cadastro.CampoFormulario("aplicacao", u"Ambiente", tipo=cadastro.TipoDeCampo.escolha, requerido=True, opcoes=(('H', u'Homologação'), ('P', u'Produção')), ordem=2, texto_ajuda=u"Use Homologação para testar seu credenciamento junto à Rede. Use Produção quando a Rede autorizar seu credenciamento.")
    nome_loja = cadastro.CampoFormulario("usuario", u"Nome do Estabelecimento", requerido=True, tamanho_max=13, ordem=3, texto_ajuda=u"O nome do estabelecimento junto à Rede. Máx de 13 caracteres")
    numero_estabelecimento = cadastro.CampoFormulario("token", u"Número do Estabelecimento", requerido=True, tamanho_max=128, ordem=4, texto_ajuda=u"Número de identificação junto à Rede, fornecido após adesão do serviço.")
    senha = cadastro.CampoFormulario("senha", u"Senha", requerido=True, tamanho_max=128, ordem=5, texto_ajuda=u"Senha fornecido pela Rede.")
    usar_antifraude = cadastro.CampoFormulario("usar_antifraude", u"Usar o serviço de Anti Fraude", tipo=cadastro.TipoDeCampo.boleano, requerido=False, ordem=6, texto_ajuda=u"Consulte mais informações junto à <a href='https://www.userede.com.br/pt-BR/produtosservicos/Paginas/ecommerce-antifraude.aspx' target='_blank'>Rede</a>")
    juros_valor = cadastro.CampoFormulario("juros_valor", u"Taxa de Juros", requerido=False, decimais=2, ordem=7, tipo=cadastro.TipoDeCampo.decimal, texto_ajuda=u"Informe a taxa de juros para sua loja na Rede")
    valor_minimo_aceitado = cadastro.CampoFormulario("valor_minimo_aceitado", u"Valor mínimo", requerido=False, decimais=2, ordem=8, tipo=cadastro.TipoDeCampo.decimal, texto_ajuda=u"Informe o valor mínimo para exibir esta forma de pagamento.")
    valor_minimo_parcela = cadastro.CampoFormulario("valor_minimo_parcela", u"Valor mínimo da parcela", requerido=False, decimais=2, ordem=9, tipo=cadastro.TipoDeCampo.decimal)
    mostrar_parcelamento = cadastro.CampoFormulario("mostrar_parcelamento", u"Marque para mostrar o parcelamento na listagem e na página do produto.", invisivel=True, valor_padrao=True, tipo=cadastro.TipoDeCampo.boleano, requerido=False, ordem=10)
    maximo_parcelas = cadastro.CampoFormulario("maximo_parcelas", u"Máximo de parcelas", tipo=cadastro.TipoDeCampo.escolha, requerido=False, ordem=11, texto_ajuda=u"Quantidade máxima de parcelas para esta forma de pagamento.", opcoes=_PARCELAS)
    parcelas_sem_juros = cadastro.CampoFormulario("parcelas_sem_juros", "Parcelas sem juros", tipo=cadastro.TipoDeCampo.escolha, requerido=False, ordem=12, texto_ajuda=u"Número de parcelas sem juros para esta forma de pagamento.", opcoes=_PARCELAS)
